<div
  class="source-attribute"
  {{on "props-update" this.updateProps}}
  data-path="{{@path}}.data.sourceAttribute"
  data-type="attribute"
  data-name={{@value.name}}
  data-gid={{@value.gid}}
  data-editor="source-attribute"
  ...attributes
>
  {{#if this.attributeValue}}
    {{#if this.isBool}}
      {{yield (t (concat "boolean-" this.attributeValue)) this.hasValue}}
    {{else if this.hasBlocks}}
      {{yield this.attributeValue this.hasValue to="blocks"}}
    {{else}}
      {{yield this.attributeValue this.hasValue}}
    {{/if}}
  {{/if}}
</div>